const urlParams = new URLSearchParams(window.location.search);
const lat = Number.parseFloat(urlParams.get('lat'));
const lng = Number.parseFloat(urlParams.get('lng'));
const zoom = Number.parseInt(urlParams.get('zoom'));
const overlay = urlParams.get('overlay');
const home = urlParams.get('home') === 'true';
let options = {
  // Required: API key
  key: '',
  // Put additional console output
  verbose: false,
  // Optional: Initial state of the map
  lat: lat,
  lon: lng,
  zoom: zoom,
  overlay: overlay
};

// Initialize Windy API
windyInit(options, windyAPI => {
  console.info('Map initialized');

  // windyAPI is ready, and contain 'map', 'store',
  // 'picker' and other usefull stuff

  const {
    map
  } = windyAPI;
if (home) {
  console.info('Display Home Marker...');
  let homeIcon = L.divIcon({
    iconAnchor: [10, 10],
    iconSize: [20, 20],
    className: 'windy-home-marker-icon',
    html: '🏠'
  });

  let homeMarker = new L.Marker(new L.LatLng(lat, lng), {
    icon: homeIcon,
    draggable: false
  });
  homeMarker.addTo(map);
}
});
